Package com.smartgwt.client.util.workflow

# Class ShowMessageTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.ShowMessageTask

All Implemented Interfaces:
  `HasHandlers`

public class ShowMessageTask extends ProcessElement
Show an informational message and wait for the user to acknowledge.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowMessageTask()`
  `ShowMessageTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `String`
  `getMessage()`
  Message to display.
  `static ShowMessageTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `UserSummary`
  `getTextFormula()`
  Formula to be used to calculate the message contents.
  `ShowMessageType`
  `getType()`
  Message type.
  `ShowMessageTask`
  `setMessage(String message)`
  Message to display.
  `ShowMessageTask`
  `setTextFormula(UserSummary textFormula)`
  Formula to be used to calculate the message contents.
  `ShowMessageTask`
  `setType(ShowMessageType type)`
  Message type.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowMessageTask

    public ShowMessageTask()

  - ### ShowMessageTask

    public ShowMessageTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ShowMessageTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ProcessElement`

  - ### setMessage

    public ShowMessageTask setMessage(String message) throws IllegalStateException
    Message to display. To display a dynamic message see `textFormula`.
    Parameters:
      `message` - New message value. Default value is null
    Returns:
      `ShowMessageTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getMessage

    public String getMessage()
    Message to display. To display a dynamic message see `textFormula`.
    Returns:
      Current message value. Default value is null

  - ### setTextFormula

    public ShowMessageTask setTextFormula(UserSummary textFormula) throws IllegalStateException
    Formula to be used to calculate the message contents. Use `message` property to assign a static message instead.

    Available fields for use in the formula are the current `rule context`.

    Parameters:
      `textFormula` - New textFormula value. Default value is null
    Returns:
      `ShowMessageTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTextFormula

    public UserSummary getTextFormula()
    Formula to be used to calculate the message contents. Use `message` property to assign a static message instead.

    Available fields for use in the formula are the current `rule context`.

    Returns:
      Current textFormula value. Default value is null

  - ### setType

    public ShowMessageTask setType(ShowMessageType type) throws IllegalStateException
    Message type.
    Parameters:
      `type` - New type value. Default value is "normal"
    Returns:
      `ShowMessageTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getType

    public ShowMessageType getType()
    Message type.
    Returns:
      Current type value. Default value is "normal"